HostingManagers

Create manager

POST/api/managers

Creates a manager and assigns the requested domains and limits.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email_address*string

Manager email address.

firstname*string

Manager first name.

lastname*string

Manager last name.

password*string

Manager password. Must be at least 8 characters long and contain at least one letter and one number.

password_confirmation*string

Must match password.

company?string

Manager company name.

max_domains?integer

Maximum assigned hosting domains. -1 means no limit.

Format int32Default -1
max_email_accounts?integer

Maximum assigned email accounts. -1 means no limit.

Format int32Default -1
max_email_accounts_archive?integer

Maximum assigned archived email accounts. -1 means no limit.

Format int32Default -1
max_email_accounts_25gb?integer

Maximum assigned 25GB email accounts. -1 means no limit.

Format int32Default -1
max_email_accounts_50gb?integer

Maximum assigned 50GB email accounts. -1 means no limit.

Format int32Default -1
max_email_accounts_100gb?integer

Maximum assigned 100GB email accounts. -1 means no limit.

Format int32Default -1
max_email_quota?integer

Maximum email quota in bytes for accounts managed by this manager.

  • 52428800 = 50 MB.
  • 1073741824 = 1 GB.
  • 2147483648 = 2 GB.
  • 3221225472 = 3 GB.
  • 4294967296 = 4 GB.
  • 5368709120 = 5 GB.
  • 6442450944 = 6 GB.
  • 7516192768 = 7 GB.
  • 8589934592 = 8 GB.
  • 17179869184 = 16 GB.
  • 26843545600 = 25 GB.
  • 53687091200 = 50 GB.
  • 107374182400 = 100 GB.
Format int32Values 52428800 | 1073741824 | 2147483648 | 3221225472 | 4294967296 | 5368709120 | 6442450944 | 7516192768 | 8589934592 | 17179869184 | 26843545600 | 53687091200 | 107374182400
domain_codes?string[]

Hosting domain codes assigned to the manager.

catch_all?boolean

Allow catch-all handling for assigned domains.

Default true

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/managers" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "email_address": "string",    "firstname": "string",    "lastname": "string",    "password": "string",    "password_confirmation": "string"  }'
{
  "message": "string",
  "resource_code": "string"
}
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}